part of model_base;

abstract class EditableModel extends ModelBase
{
  @override
  EditableModel([String current_status = "active", String added_by = null]) : super()
  {
    status = current_status;
    addedBy = added_by;
  }

  @override
  EditableModel.from(EditableModel other) : super.from(other);

  @override
  EditableModel.fromData(Map<String, dynamic> d) : super.fromData(d);

  @override
  EditableModel.decode(Map<String, String> d) : super.decode(d)
  {
    addedBy = d["added_by"];
    status = d["status"];
  }

  @override
  Map<String, String> get encoded
  {
    Map<String, String> d = super.encoded;

    // TODO: add any non-string params here

    return d;
  }

  String get addedBy => _data["added_by"];
  String get status => _data["status"];  // active, frozen, disabled

  void set addedBy(String value) { _data["added_by"] = value; }
  void set status(String value) { _data["status"] = value; }
}