part of model_base;

class Room extends EditableModel
{
  @override
  Room() : super()
  {
    serviceIds = new List();
  }

  @override
  Room.from(Room other) : super.from(other);

  @override
  Room.fromData(Map<String, dynamic> d) : super.fromData(d);

  @override
  Room.decode(Map<String, String> d) : super.decode(d)
  {
    name = d["name"];
    salonId = d["salon_id"];
    serviceIds = JSON.decode(d["service_ids"]);
  }

  @override
  Map<String, String> get encoded
  {
    Map<String, String> d = super.encoded;
    d["service_ids"] = JSON.encode(serviceIds);
    return d;
  }

  String get name => _data["name"];
  String get salonId => _data["salon_id"];
  List<String> get serviceIds => _data["service_ids"];

  void set name(String value) { _data["name"] = value; }
  void set salonId(String value) { _data["salon_id"] = value; }
  void set serviceIds(List<String> value) { _data["service_ids"] = value; }
}